## django-compression-middleware 0.5.0

=== requirements.txt ===
# Requirements required by this package:

brotlipy>=0.7.0 ; platform_python_implementation == 'PyPy'
Brotli ; platform_python_implementation != 'PyPy'
zstandard
Django>=1.11.0

=== debian/changelog ===
django-compression-middleware (0.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 24 Oct 2023 11:20:17 +0100

django-compression-middleware (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1032191)

 -- Edward Betts <edward@4angle.com>  Sat, 18 Mar 2023 08:26:01 +0100

=== debian/control ===
Source: django-compression-middleware
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-brotli <!nocheck>,
               python3-django <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-zstandard <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/friedelwolff/django-compression-middleware
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-compression-middleware
Vcs-Git: https://salsa.debian.org/python-team/packages/django-compression-middleware.git

Package: python3-django-compression-middleware
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Django middleware to compress responses using several algorithms
 This middleware implements compressed content encoding for HTTP. It is similar
 to Django's GZipMiddleware, but additionally supports other compression
 methods. It is meant to be a drop-in replacement for Django's GZipMiddleware.
 .
 The middleware is focussed on the task of compressing typical Django responses
 such as HTML, JSON, etc.  Both normal (bulk) and streaming responses are
 supported. For static file compression, have a look at other projects such as
 WhiteNoise.
 .
 Zstandard is a new method for compression with little client support so far.
 Most browsers now support Brotli compression. The middleware will choose the
 best compression method supported by the client as indicated in the request's
 Accept-Encoding header.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-compression-middleware

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf django_compression_middleware.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/django-compression-middleware-$1\.tar\.gz/ \
  https://github.com/friedelwolff/django-compression-middleware/tags .*/v?(\d\S+)\.tar\.gz
